<?php

/**
 * This is the backbone of the admin side. It includes all files 
 * needed for the admin functions under the "Include Files" section 
 * and all operations are function driven by "The Switch" statement at 
 * the bottom. 
 */
$temp_admin = $current_admin;

include("open_session.php");
include("config.php");

$index = 0;

if (!IsSet($mainfile)) { include ("mainfile.php"); }

/**
 * Used to authorize the username and password of an incoming
 * administrator.
 */
include("auth.inc.php");
/**
 * Gives all page creation and editing functions for the main page.
 */
include("mainpage.php");
/**
 * Referrer functions to see who is linking to the site.
 */
include("./admin/referer.php");
/**
 * Functions for editing LEFT, RIGHT, and ADMIN tables/blocks.
 */
include("./admin/blocks.php");
/**
 * Used for editing users and administrators for the web site.
 */
include("./admin/user_admin.php");
/**
/**
 * Banner functions for administration of banners.
 */
include("./admin/banners_admin.php");
/**
 * Module functions for administration of modules.
 */
include("./admin/modules.php");

/**
 * Generates the login form.
 * This function takes in the admin username and password and passes
 * them back to admin.php for verification.
 * author (a phpNuke developer)
 */
function login()
{
	include ("header.php");

    	$box_title = "Admin Login";
	$box_stuff = "
	<form action=\"admin.php\" method=\"post\">
	<table border=0>
	<tr><td>Login Name</td><td><input type=\"text\" name=\"current_admin\" size=\"20\" maxlength=\"20\" /></td></tr>
	<tr><td>Password</td><td><input type=\"password\" name=\"pwd\" size=\"20\" maxlength=\"18\" /></td></tr>
	<tr><td colspan=2 align=center><input type=\"hidden\" name=\"op\" value=\"login\" /><input type=\"submit\" value=\"Login\" /></td></tr>
	</table>
	</form>";

	themesidebox($box_title, $box_stuff);

	include ("footer.php");
}

/**
 * Displays the admin menu
 * @author (a phpNuke developer)
 */
function adminMain()
{
global $admintest;

include ("config.php");

	include ("header.php");

	$box_title = "Admin Home";
	$box_stuff = "
	<table cellspacing=\"4\" cellpadding=\"2\" border=\"0\" width=\"99%\">
	<tr>
		<td valign=\"top\" width=\"20%\">
		<span class=\"onebiggerred\"><b>Main Thing</b></span><br />
		<a href=\"admin.php?op=main_page_data\">Edit Main Page</a><br /><br />
		</td>
		<td valign=\"top\" width=\"20%\">
		<span class=\"onebiggerred\"><b>Blocks</b></span><br />
		<a href=\"admin.php?op=lblocks\">Left Blocks</a><br />
		<a href=\"admin.php?op=rblocks\">Right Blocks</a><br /><br />
		</td>
		<td valign=\"top\" width=\"20%\">
		<span class=\"onebiggerred\"><b>Tools</b></span><br />";
		if($banners)
		$box_stuff .= "<a href=\"admin.php?op=BannersAdmin\">Ads Banners</a><br />
		<a href=\"admin.php?op=hreferer\">Referrers</a><br />
		<a href=\"top.php\">Top 10</a><br />
		<a href=\"stats.php\">Client Stats</a><br />
		</td>
		<td valign=\"top\" width=\"20%\">
		<span class=\"onebiggerred\"><b>Access</b></span><br />
		<a href=\"admin.php?op=listuser\">Manage User</a><br />
		<a href=\"admin.php?op=mod_authors\">Manage Admin</a><br />
		</td>
	</tr>
	</table>";
	themesidebox($box_title, $box_stuff);

	//BEGIN CODE FOR MODULE ADMIN
		
	$plug_mysql = mysql_query ("select * from modules order by name asc");

	if (mysql_num_rows($plug_mysql) > 0)
	{
		$count=0;
		$box_title = "Installed Module - <a href=admin.php?op=modules>Edit</a>";
		$box_content = "
		<table cellspacing=\"3\" cellpadding=\"3\" border=\"0\" width=\"100%\">
		<tr>";
		
		while ($row = mysql_fetch_array($plug_mysql))
		{
			if ($count > 5)
			{
				$box_content .= "</tr><tr>";
				$count = 0;
			}

			extract($row);

			$temp = explode(".", $source_file);

			if($temp[0] == "mod")
			{
				if($admin_inc) $temp_url = $source_file . "&amp;op=$admin_inc";
				else $temp_url = $source_file;
			}
			else $temp_url = "./$source_file?plug_id=$plug_id&amp;op=$admin_inc";

			$box_content .= "
			<td align=\"center\" valign=\"bottom\">
			<a href=\"$temp_url\">";

			$imagehw = GetImageSize("./mod/$plug_dir/$img");
			$image_size = $imagehw[3];

			$box_content .= "<img src=\"./mod/$plug_dir/$img\" $image_size alt=\"$about\"  border=\"0\" /></a><br />$name
			</td>";
			$count++;
		}
		if (mysql_num_rows($plug_mysql) > 5){
			while ($count < 5){
				$box_content .= "<td>&nbsp;</td>";
				$count++;
			}
		}
		$box_content .= "\n</tr></table>";
		themesidebox($box_title, $box_content);
	}

	include ("footer.php");
}


/**
 *  Function: The SWITCH (not REALLY a function)
 *  Author:   Started by phpNuke developers and edited by anyone who
 *            touched the admin side.
 *  Purpose:  This switch statement takes the arguement $op passed to the
 *            admin page and decides which functions to call based on
 *            that variable.
 */
//The session variable admintest is used to make sure an administrator has logged in. If NOT then it calls
//the login() function at the bottom of this switch statement.
if ($admintest == $security_hash)
{
	switch($op)
	{
		case "adminMain":
		adminMain();
		break;

		case "main_page_data":
		main_page_data();
		break;
      
		case "update_main_data":
		update_main_data($main_title, $main_text, $main_alt, $main_image_active, $active);
		save_new_page();
		break;

		case "update_main_image":
		update_main_image($main_title, $main_text, $main_image, $main_alt, $main_image_name, $main_image_active, $main_image_type, $main_image_size, $active);
		save_new_page();
		break;

		case "BannersAdmin":
		BannersAdmin();
		break;
      
		case "BannersAdd":
		BannersAdd($name, $cid, $imptotal, $imageurl, $clickurl);
		break;
      
		case "BannerAddClient":
		BannerAddClient($name, $contact, $email, $login, $passwd, $extrainfo);
		break;
     
		case "BannerFinishDelete":
		BannerFinishDelete($bid);
		break;
      
		case "BannerDelete":
		BannerDelete($bid, $ok);
		break;
      
		case "BannerEdit":
		BannerEdit($bid);
		break;
      
		case "BannerChange":
		BannerChange($bid, $cid, $imptotal, $impadded, $imageurl, $clickurl);
		break;
      
		case "BannerClientDelete":
		BannerClientDelete($cid, $ok);
		break;
      
		case "BannerClientEdit":
		BannerClientEdit($cid);
		break;
      
		case "BannerClientChange":
		BannerClientChange($cid, $name, $contact, $email, $extrainfo, $login, $passwd);
		break;

		case "hreferer":
		hreferer($sortby, $filter);
		break;
      
		case "delreferer":
		delreferer($action);
		break;
      
		case "blocks":
		blocks();
		break;
      
		case "makeblock":
		makeblock($title, $content);
		break;
      
		case "deleteblock":
		deleteblock($id);
		break;
    
		case "changeblock":
		changeblock($id, $title, $content);
		break;

		case "rblocks":
		rblocks();
		break;
      
		case "makerblock":
		makerblock($title, $content);
		break;
      
		case "deleterblock":
		deleterblock($id, $order_id);
		break;
      
		case "changerblock":
		changerblock($id, $title, $content);
		break;

		case "rblock_order":
		rblock_order($id, $action);
		break;

		case "lblocks":
		lblocks();
		break;
      
		case "makelblock":
		makelblock($title, $content);
		break;
      
		case "deletelblock":
		deletelblock($id, $order_id);
		break;
      
		case "changelblock":
		changelblock($id, $title, $content);
		break;

		case "lblock_order":
		lblock_order($id, $action);
		break;

		case "ablock":
		ablock();
		break;
      
		case "changeablock":
		changeablock($title, $content);
		break;
      
		case "mod_authors":
		displayadmins();
		break;
      
		case "modifyadmin":
		modifyadmin($chng_aid);
		break;
      
		case "updateadmin":
			updateadmin($chng_aid, $chng_name, $chng_email, $chng_url, $chng_pwd, $chng_pwd2);
		break;
      
		case "AddAuthor":
			if (!($add_aid && $add_name && $add_email && $add_pwd))
			{
				echo "You must complete all compulsory fields";
				return;
			}

			$crypt_pass = md5($add_pwd);
			$result = mysql_query("insert into authors values ('$add_aid','$add_name','$add_url','$add_email','$crypt_pass','0')");
      
			if (!$result)
			{
				echo mysql_errno(). ": ".mysql_error(). "<br />";
				return;
			}
			Header("Location: admin.php?op=mod_authors");
		break;
      
		case "deladmin":
			include("header.php");
			$box_title = "Delete Author";
			$box_stuff = "Are you sure you want to delete <b>$del_aid</b>?<br />";
			$box_stuff .= "<a href=\"admin.php?op=deladminconf&amp;del_aid=$del_aid\">Yes</a>&nbsp;|&nbsp;<a href=\"admin.php?op=mod_authors\">No</a>";
			themesidebox($box_title, $box_stuff);
			include("footer.php");
		break;
    
		case "deladminconf":
			mysql_query("delete from authors where aid='$del_aid'");
			header("location:./admin.php?op=mod_authors");
			echo mysql_error();
		break;

//---------user manager-----------------

		case "listuser":
			$index = 0;
			include "header.php";
			listuser($letter, $sortby, $page);
			include "footer.php";
			break;
      
		case "modifyUser":
			modifyUser($uid);
			break;
      
		case "updateUser":
			updateUser($uid, $uname, $name, $url, $email, $femail, $pass, $pass2);
			break;

		case "user_biodata":
			user_biodata($uname);
			break;

      		case "delUser":
			delUser($uid, $uname, $ok);
			break;
      
		case "CreateUser":
			$index = 0;
			include "header.php";
			CreateUser();
			include "footer.php";
			break;

		case "addUser":
			$add_pwd = crypt($add_pass);
			$add_pwd = crypt($add_pass, substr($add_pwd,0,2));

			if (!($add_uname && $add_pass))
			{
				echo "You must complete all compulsory fields";
				return;
			}

			$mytoday = mytoday();

			$result = mysql_query("insert into users values (NULL,'','$add_uname','','','','$add_pwd',$top,'','1','','$default_theme','0','$mytoday','$mytoday')");	

			if (!$result)
			{
				echo mysql_errno(). ": ".mysql_error(). "<br />";
				return;
			}
			Header("Location: admin.php?op=listuser");
			break;

		case "searchUser":
			$index = 0;
			include "header.php";
			searchUser($query);
			include "footer.php";
			break;
			
      
//------------ modules editor ------------------------------


		case "modules":
			modules();
			break;

      		case "updatemodules":
			updatemodules($id, $name, $source_file, $block_pos, $block_order, $block_file, $admin_inc, $about);
			break;



//-------------------------------------
      
		case "logout":
			$admintest = "";
			$current_admin="";
			session_unregister("admintest");
			session_unregister("current_admin");
			$titlebar = "Logged out";
			include("header.php");
			themesidebox("You are now logged out", "<br /><br /><a href=\"index.php\">Click here to go back to the main page</a>");
			include("footer.php");
		break;
            
		default:
		adminMain();
		break;
	}
}

//IF NOT ADMIN FORCE USER TO LOG IN.
else
login();

?>